#include <cstdlib>
#include <iostream>
#include <memory>
#include <vector>

#include "chapter_2_tests.h"
#include "version.h"

int main(int argc, char **argv) {

  std::cout << "Running " << PROJECT_NAME << ", version " << VERSION
            << std::endl;

  for (auto &test : chapter_2_tests()) {
    std::cout << "\n" << test->name() << ":" << std::endl;
    test->run();
  }

  std::cout << "\nExiting" << std::endl;

  return EXIT_SUCCESS;
}
